
_SendBits:

;MyProject.c,62 :: 		void SendBits(char DigitBits[5])
;MyProject.c,64 :: 		for(i=0;i<=4;i++)                // Loop for 5 bits for each digit
	CLRF        _i+0 
L_SendBits0:
	MOVF        _i+0, 0 
	SUBLW       4
	BTFSS       STATUS+0, 0 
	GOTO        L_SendBits1
;MyProject.c,66 :: 		if (DigitBits != d_EN)       // If end of digit skip showing 11111
	MOVF        FARG_SendBits_DigitBits+1, 0 
	XORLW       hi_addr(_d_EN+0)
	BTFSS       STATUS+0, 2 
	GOTO        L__SendBits47
	MOVLW       _d_EN+0
	XORWF       FARG_SendBits_DigitBits+0, 0 
L__SendBits47:
	BTFSC       STATUS+0, 2 
	GOTO        L_SendBits3
;MyProject.c,67 :: 		Lcd_Chr(1,1+i,DigitBits[i]); // Print bit for current digit
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        _i+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _i+0, 0 
	ADDWF       FARG_SendBits_DigitBits+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_SendBits_DigitBits+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
L_SendBits3:
;MyProject.c,68 :: 		Delay_us(5);                 // Wait 5us
	MOVLW       13
	MOVWF       R13, 0
L_SendBits4:
	DECFSZ      R13, 1, 1
	BRA         L_SendBits4
;MyProject.c,69 :: 		PortC.F3 = 1;                // CLK Enable
	BSF         PORTC+0, 3 
;MyProject.c,70 :: 		PortC.F4 = DigitBits[i];     // Take data bit
	MOVF        _i+0, 0 
	ADDWF       FARG_SendBits_DigitBits+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_SendBits_DigitBits+1, 0 
	MOVWF       FSR0H 
	BTFSC       POSTINC0+0, 0 
	GOTO        L__SendBits48
	BCF         PORTC+0, 4 
	GOTO        L__SendBits49
L__SendBits48:
	BSF         PORTC+0, 4 
L__SendBits49:
;MyProject.c,71 :: 		Delay_us(5);                 // Wait 5us
	MOVLW       13
	MOVWF       R13, 0
L_SendBits5:
	DECFSZ      R13, 1, 1
	BRA         L_SendBits5
;MyProject.c,72 :: 		PortC.F3 = 0;                // CLK Disable
	BCF         PORTC+0, 3 
;MyProject.c,73 :: 		Delay_us(5);                 // Wait 5us
	MOVLW       13
	MOVWF       R13, 0
L_SendBits6:
	DECFSZ      R13, 1, 1
	BRA         L_SendBits6
;MyProject.c,64 :: 		for(i=0;i<=4;i++)                // Loop for 5 bits for each digit
	INCF        _i+0, 1 
;MyProject.c,74 :: 		}
	GOTO        L_SendBits0
L_SendBits1:
;MyProject.c,75 :: 		}
L_end_SendBits:
	RETURN      0
; end of _SendBits

_StopBits:

;MyProject.c,78 :: 		void StopBits()  //// SEND 11111 ON SEQUENCE END
;MyProject.c,80 :: 		SendBits(d_EN);
	MOVLW       _d_EN+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_EN+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,81 :: 		}
L_end_StopBits:
	RETURN      0
; end of _StopBits

_main:

;MyProject.c,84 :: 		void main()
;MyProject.c,86 :: 		Lcd_Init();               // Initialize LCD
	CALL        _Lcd_Init+0, 0
;MyProject.c,87 :: 		Lcd_Cmd(_LCD_CLEAR);      // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;MyProject.c,88 :: 		Lcd_Cmd(_LCD_CURSOR_OFF); // Turn display cursor Off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;MyProject.c,90 :: 		ANSELC = 0;               // Configure PORTC pins as digital
	CLRF        ANSELC+0 
;MyProject.c,91 :: 		TRISC  = 0;               // Configure PORTC pins as output
	CLRF        TRISC+0 
;MyProject.c,93 :: 		num = strlen(DTMF_Code);  //Calculates the length of the DTMF_Code
	MOVLW       _DTMF_Code+0
	MOVWF       FARG_strlen_s+0 
	MOVLW       hi_addr(_DTMF_Code+0)
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	MOVF        R0, 0 
	MOVWF       _num+0 
	MOVF        R1, 0 
	MOVWF       _num+1 
;MyProject.c,94 :: 		shorttostr(num, lng);
	MOVF        R0, 0 
	MOVWF       FARG_ShortToStr_input+0 
	MOVLW       _lng+0
	MOVWF       FARG_ShortToStr_output+0 
	MOVLW       hi_addr(_lng+0)
	MOVWF       FARG_ShortToStr_output+1 
	CALL        _ShortToStr+0, 0
;MyProject.c,95 :: 		lcd_chr(1,15,lng[2]);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       15
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _lng+2, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;MyProject.c,96 :: 		lcd_chr(1,16,lng[3]);
	MOVLW       1
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVLW       16
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVF        _lng+3, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;MyProject.c,100 :: 		PortC.F1 = 1;   // CE Turn Off chip, this is very important
	BSF         PORTC+0, 1 
;MyProject.c,101 :: 		PortC.F3 = 0;   // Power Up with CLK Disabled, this is very important
	BCF         PORTC+0, 3 
;MyProject.c,102 :: 		PortC.F3 = 1;   // Set CLK high before startup, this is very important
	BSF         PORTC+0, 3 
;MyProject.c,103 :: 		PortC.F1 = 0;   // CE turn chip ON
	BCF         PORTC+0, 1 
;MyProject.c,104 :: 		Delay_ms(10);   // Wait 10ms for oscillator stabilization
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	NOP
;MyProject.c,107 :: 		for(ii=0;ii<=num-1;ii++)  // Loop for each DTMF code
	CLRF        _ii+0 
L_main8:
	MOVLW       1
	SUBWF       _num+0, 0 
	MOVWF       R1 
	MOVLW       0
	SUBWFB      _num+1, 0 
	MOVWF       R2 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main52
	MOVF        _ii+0, 0 
	SUBWF       R1, 0 
L__main52:
	BTFSS       STATUS+0, 0 
	GOTO        L_main9
;MyProject.c,109 :: 		Lcd_chr(2,1+ii,DTMF_Code[ii]);
	MOVLW       2
	MOVWF       FARG_Lcd_Chr_row+0 
	MOVF        _ii+0, 0 
	ADDLW       1
	MOVWF       FARG_Lcd_Chr_column+0 
	MOVLW       _DTMF_Code+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_DTMF_Code+0)
	MOVWF       FSR0H 
	MOVF        _ii+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Lcd_Chr_out_char+0 
	CALL        _Lcd_Chr+0, 0
;MyProject.c,110 :: 		digit = DTMF_Code[ii];
	MOVLW       _DTMF_Code+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_DTMF_Code+0)
	MOVWF       FSR0H 
	MOVF        _ii+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       _digit+0 
;MyProject.c,112 :: 		switch (digit)
	GOTO        L_main11
;MyProject.c,114 :: 		case '1': {
L_main13:
;MyProject.c,115 :: 		SendBits(d_1);
	MOVLW       _d_1+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_1+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,116 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main14:
	DECFSZ      R13, 1, 1
	BRA         L_main14
	DECFSZ      R12, 1, 1
	BRA         L_main14
	DECFSZ      R11, 1, 1
	BRA         L_main14
;MyProject.c,117 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,118 :: 		break;
	GOTO        L_main12
;MyProject.c,120 :: 		case '2': {
L_main15:
;MyProject.c,121 :: 		SendBits(d_2);
	MOVLW       _d_2+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_2+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,122 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main16:
	DECFSZ      R13, 1, 1
	BRA         L_main16
	DECFSZ      R12, 1, 1
	BRA         L_main16
	DECFSZ      R11, 1, 1
	BRA         L_main16
;MyProject.c,123 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,124 :: 		break;
	GOTO        L_main12
;MyProject.c,126 :: 		case '3': {
L_main17:
;MyProject.c,127 :: 		SendBits(d_3);
	MOVLW       _d_3+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_3+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,128 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main18:
	DECFSZ      R13, 1, 1
	BRA         L_main18
	DECFSZ      R12, 1, 1
	BRA         L_main18
	DECFSZ      R11, 1, 1
	BRA         L_main18
;MyProject.c,129 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,130 :: 		break;
	GOTO        L_main12
;MyProject.c,132 :: 		case '4': {
L_main19:
;MyProject.c,133 :: 		SendBits(d_4);
	MOVLW       _d_4+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_4+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,134 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main20:
	DECFSZ      R13, 1, 1
	BRA         L_main20
	DECFSZ      R12, 1, 1
	BRA         L_main20
	DECFSZ      R11, 1, 1
	BRA         L_main20
;MyProject.c,135 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,136 :: 		break;
	GOTO        L_main12
;MyProject.c,138 :: 		case '5': {
L_main21:
;MyProject.c,139 :: 		SendBits(d_5);
	MOVLW       _d_5+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_5+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,140 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main22:
	DECFSZ      R13, 1, 1
	BRA         L_main22
	DECFSZ      R12, 1, 1
	BRA         L_main22
	DECFSZ      R11, 1, 1
	BRA         L_main22
;MyProject.c,141 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,142 :: 		break;
	GOTO        L_main12
;MyProject.c,144 :: 		case '6': {
L_main23:
;MyProject.c,145 :: 		SendBits(d_6);
	MOVLW       _d_6+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_6+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,146 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main24:
	DECFSZ      R13, 1, 1
	BRA         L_main24
	DECFSZ      R12, 1, 1
	BRA         L_main24
	DECFSZ      R11, 1, 1
	BRA         L_main24
;MyProject.c,147 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,148 :: 		break;
	GOTO        L_main12
;MyProject.c,150 :: 		case '7': {
L_main25:
;MyProject.c,151 :: 		SendBits(d_7);
	MOVLW       _d_7+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_7+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,152 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main26:
	DECFSZ      R13, 1, 1
	BRA         L_main26
	DECFSZ      R12, 1, 1
	BRA         L_main26
	DECFSZ      R11, 1, 1
	BRA         L_main26
;MyProject.c,153 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,154 :: 		break;
	GOTO        L_main12
;MyProject.c,156 :: 		case '8': {
L_main27:
;MyProject.c,157 :: 		SendBits(d_8);
	MOVLW       _d_8+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_8+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,158 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main28:
	DECFSZ      R13, 1, 1
	BRA         L_main28
	DECFSZ      R12, 1, 1
	BRA         L_main28
	DECFSZ      R11, 1, 1
	BRA         L_main28
;MyProject.c,159 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,160 :: 		break;
	GOTO        L_main12
;MyProject.c,162 :: 		case '9': {
L_main29:
;MyProject.c,163 :: 		SendBits(d_9);
	MOVLW       _d_9+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_9+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,164 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main30:
	DECFSZ      R13, 1, 1
	BRA         L_main30
	DECFSZ      R12, 1, 1
	BRA         L_main30
	DECFSZ      R11, 1, 1
	BRA         L_main30
;MyProject.c,165 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,166 :: 		break;
	GOTO        L_main12
;MyProject.c,168 :: 		case '0': {
L_main31:
;MyProject.c,169 :: 		SendBits(d_0);
	MOVLW       _d_0+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_0+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,170 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main32:
	DECFSZ      R13, 1, 1
	BRA         L_main32
	DECFSZ      R12, 1, 1
	BRA         L_main32
	DECFSZ      R11, 1, 1
	BRA         L_main32
;MyProject.c,171 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,172 :: 		break;
	GOTO        L_main12
;MyProject.c,174 :: 		case '*': {
L_main33:
;MyProject.c,175 :: 		SendBits(d_G);
	MOVLW       _d_G+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_G+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,176 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main34:
	DECFSZ      R13, 1, 1
	BRA         L_main34
	DECFSZ      R12, 1, 1
	BRA         L_main34
	DECFSZ      R11, 1, 1
	BRA         L_main34
;MyProject.c,177 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,178 :: 		break;
	GOTO        L_main12
;MyProject.c,180 :: 		case '#': {
L_main35:
;MyProject.c,181 :: 		SendBits(d_F);
	MOVLW       _d_F+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_F+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,182 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main36:
	DECFSZ      R13, 1, 1
	BRA         L_main36
	DECFSZ      R12, 1, 1
	BRA         L_main36
	DECFSZ      R11, 1, 1
	BRA         L_main36
;MyProject.c,183 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,184 :: 		break;
	GOTO        L_main12
;MyProject.c,186 :: 		case 'A': {
L_main37:
;MyProject.c,187 :: 		SendBits(d_AA);
	MOVLW       _d_AA+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_AA+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,188 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main38:
	DECFSZ      R13, 1, 1
	BRA         L_main38
	DECFSZ      R12, 1, 1
	BRA         L_main38
	DECFSZ      R11, 1, 1
	BRA         L_main38
;MyProject.c,189 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,190 :: 		break;
	GOTO        L_main12
;MyProject.c,192 :: 		case 'B': {
L_main39:
;MyProject.c,193 :: 		SendBits(d_BB);
	MOVLW       _d_BB+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_BB+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,194 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main40:
	DECFSZ      R13, 1, 1
	BRA         L_main40
	DECFSZ      R12, 1, 1
	BRA         L_main40
	DECFSZ      R11, 1, 1
	BRA         L_main40
;MyProject.c,195 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,196 :: 		break;
	GOTO        L_main12
;MyProject.c,198 :: 		case 'C': {
L_main41:
;MyProject.c,199 :: 		SendBits(d_CC);
	MOVLW       _d_CC+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_CC+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,200 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main42:
	DECFSZ      R13, 1, 1
	BRA         L_main42
	DECFSZ      R12, 1, 1
	BRA         L_main42
	DECFSZ      R11, 1, 1
	BRA         L_main42
;MyProject.c,201 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,202 :: 		break;
	GOTO        L_main12
;MyProject.c,204 :: 		case 'D': {
L_main43:
;MyProject.c,205 :: 		SendBits(d_DD);
	MOVLW       _d_DD+0
	MOVWF       FARG_SendBits_DigitBits+0 
	MOVLW       hi_addr(_d_DD+0)
	MOVWF       FARG_SendBits_DigitBits+1 
	CALL        _SendBits+0, 0
;MyProject.c,206 :: 		Delay_ms(DigitDurat);    // Sound duration of digit
	MOVLW       17
	MOVWF       R11, 0
	MOVLW       60
	MOVWF       R12, 0
	MOVLW       203
	MOVWF       R13, 0
L_main44:
	DECFSZ      R13, 1, 1
	BRA         L_main44
	DECFSZ      R12, 1, 1
	BRA         L_main44
	DECFSZ      R11, 1, 1
	BRA         L_main44
;MyProject.c,207 :: 		StopBits();              // Send stop bits after digit, this allows pause between digits
	CALL        _StopBits+0, 0
;MyProject.c,208 :: 		break;
	GOTO        L_main12
;MyProject.c,211 :: 		Delay_ms(DigitPause);     // Here is pause between each digit
L_main45:
	DECFSZ      R13, 1, 1
	BRA         L_main45
	DECFSZ      R12, 1, 1
	BRA         L_main45
	DECFSZ      R11, 1, 1
	BRA         L_main45
	NOP
;MyProject.c,212 :: 		}
	GOTO        L_main12
L_main11:
	MOVF        _digit+0, 0 
	XORLW       49
	BTFSC       STATUS+0, 2 
	GOTO        L_main13
	MOVF        _digit+0, 0 
	XORLW       50
	BTFSC       STATUS+0, 2 
	GOTO        L_main15
	MOVF        _digit+0, 0 
	XORLW       51
	BTFSC       STATUS+0, 2 
	GOTO        L_main17
	MOVF        _digit+0, 0 
	XORLW       52
	BTFSC       STATUS+0, 2 
	GOTO        L_main19
	MOVF        _digit+0, 0 
	XORLW       53
	BTFSC       STATUS+0, 2 
	GOTO        L_main21
	MOVF        _digit+0, 0 
	XORLW       54
	BTFSC       STATUS+0, 2 
	GOTO        L_main23
	MOVF        _digit+0, 0 
	XORLW       55
	BTFSC       STATUS+0, 2 
	GOTO        L_main25
	MOVF        _digit+0, 0 
	XORLW       56
	BTFSC       STATUS+0, 2 
	GOTO        L_main27
	MOVF        _digit+0, 0 
	XORLW       57
	BTFSC       STATUS+0, 2 
	GOTO        L_main29
	MOVF        _digit+0, 0 
	XORLW       48
	BTFSC       STATUS+0, 2 
	GOTO        L_main31
	MOVF        _digit+0, 0 
	XORLW       42
	BTFSC       STATUS+0, 2 
	GOTO        L_main33
	MOVF        _digit+0, 0 
	XORLW       35
	BTFSC       STATUS+0, 2 
	GOTO        L_main35
	MOVF        _digit+0, 0 
	XORLW       65
	BTFSC       STATUS+0, 2 
	GOTO        L_main37
	MOVF        _digit+0, 0 
	XORLW       66
	BTFSC       STATUS+0, 2 
	GOTO        L_main39
	MOVF        _digit+0, 0 
	XORLW       67
	BTFSC       STATUS+0, 2 
	GOTO        L_main41
	MOVF        _digit+0, 0 
	XORLW       68
	BTFSC       STATUS+0, 2 
	GOTO        L_main43
L_main12:
;MyProject.c,107 :: 		for(ii=0;ii<=num-1;ii++)  // Loop for each DTMF code
	INCF        _ii+0, 1 
;MyProject.c,213 :: 		}
	GOTO        L_main8
L_main9:
;MyProject.c,215 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
