#line 1 "C:/0/HT9200A/FINAL/DTMF HT9200A Example/MyProject.c"
#line 19 "C:/0/HT9200A/FINAL/DTMF HT9200A Example/MyProject.c"
sbit LCD_RS at LATB4_bit;
sbit LCD_EN at LATB5_bit;
sbit LCD_D4 at LATB0_bit;
sbit LCD_D5 at LATB1_bit;
sbit LCD_D6 at LATB2_bit;
sbit LCD_D7 at LATB3_bit;

sbit LCD_RS_Direction at TRISB4_bit;
sbit LCD_EN_Direction at TRISB5_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;




char d_1[] = "10000";
char d_2[] = "01000";
char d_3[] = "11000";
char d_4[] = "00100";
char d_5[] = "10100";
char d_6[] = "01100";
char d_7[] = "11100";
char d_8[] = "00010";
char d_9[] = "10010";
char d_0[] = "01010";
char d_G[] = "11010";
char d_F[] = "00110";
char d_AA[] = "10110";
char d_BB[] = "01110";
char d_CC[] = "11110";
char d_DD[] = "00000";
char d_EN[] = "11111";

char DTMF_Code[] = "0642173819";
const DigitPause = 150;
const DigitDurat = 400;

char i, ii, lng[5], digit;
int num;


void SendBits(char DigitBits[5])
 {
 for(i=0;i<=4;i++)
 {
 if (DigitBits != d_EN)
 Lcd_Chr(1,1+i,DigitBits[i]);
 Delay_us(5);
 PortC.F3 = 1;
 PortC.F4 = DigitBits[i];
 Delay_us(5);
 PortC.F3 = 0;
 Delay_us(5);
 }
 }


void StopBits()
 {
 SendBits(d_EN);
 }


void main()
{
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);

 ANSELC = 0;
 TRISC = 0;

 num = strlen(DTMF_Code);
 shorttostr(num, lng);
 lcd_chr(1,15,lng[2]);
 lcd_chr(1,16,lng[3]);



 PortC.F1 = 1;
 PortC.F3 = 0;
 PortC.F3 = 1;
 PortC.F1 = 0;
 Delay_ms(10);


 for(ii=0;ii<=num-1;ii++)
 {
 Lcd_chr(2,1+ii,DTMF_Code[ii]);
 digit = DTMF_Code[ii];

 switch (digit)
 {
 case '1': {
 SendBits(d_1);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '2': {
 SendBits(d_2);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '3': {
 SendBits(d_3);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '4': {
 SendBits(d_4);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '5': {
 SendBits(d_5);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '6': {
 SendBits(d_6);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '7': {
 SendBits(d_7);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '8': {
 SendBits(d_8);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '9': {
 SendBits(d_9);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '0': {
 SendBits(d_0);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '*': {
 SendBits(d_G);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case '#': {
 SendBits(d_F);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case 'A': {
 SendBits(d_AA);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case 'B': {
 SendBits(d_BB);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case 'C': {
 SendBits(d_CC);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }
 case 'D': {
 SendBits(d_DD);
 Delay_ms(DigitDurat);
 StopBits();
 break;
 }

 Delay_ms(DigitPause);
 }
 }

}
